EDIT - bug #6406

Refactor MarkupTransformer class which is too large
02/02/2017 04:50 PM - Andreas Mdller

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Reviewed Next Major Release

Severity: normal Found in Version: Release 4.6
Description

The large class creates problems when upgrading to java 1.8 (see #6401 and #6404).

As a work around we now commented most of the static uuids. This needs to be reverted.

Related issues:
Related to EDIT - task #6401: Update working environment to jdk 1.8 Closed
Related to EDIT - bug #6404: StackOverflow when compiling large java classes ... Rejected

Associated revisions

Revision a9aabce2 - 02/17/2017 10:39 AM - Andreas Muller

ref #6406 revert MarkupTransformer temporarily to allow compilation

History

#1 - 02/02/2017 04:50 PM - Andreas Miiller
- Related to task #6401: Update working environment to jdk 1.8 added

#2 - 02/02/2017 04:50 PM - Andreas Miiller
- Related to bug #6404: StackOverflow when compiling large java classes in Java8 (jdk1.8) added

#3 - 02/02/2017 04:51 PM - Andreas Miuller

- Status changed from New to In Progress

#4 - 03/17/2017 08:12 AM - Andreas Mdiller

- Target version changed from Release 4.6 to Release 4.7

#5 - 05/10/2017 06:27 PM - Andreas Miuller

- Target version changed from Release 4.7 to Release 4.8

#6 - 07/06/2017 10:51 PM - Andreas Miuller

- Target version changed from Release 4.8 to Release 4.9

#7 - 07/21/2017 10:13 AM - Andreas Mdller

- Target version changed from Release 4.9 to Release 4.10

#8 - 09/24/2017 05:02 PM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.11

#9 - 11/08/2017 11:27 AM - Andreas Mdiller

- Target version changed from Release 4.11 to Release 4.12

#10 - 12/05/2017 02:08 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13
https://dev.e-taxonomy.eu/redmine/issues/6401
https://dev.e-taxonomy.eu/redmine/issues/6404

#11 - 01/31/2018 12:50 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#12 - 02/15/2018 03:38 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#13 - 05/14/2018 11:36 PM - Andreas Miiller

- Target version changed from Release 5.0 to Release 5.1

#14 - 06/27/2018 02:33 PM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#15 - 08/17/2018 04:04 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3

#16 - 09/06/2018 10:06 AM - Andreas Miiller

- Target version changed from Release 5.3 to Release 5.5

#17 - 02/14/2019 10:34 PM - Andreas Miiller

- Target version changed from Release 5.5 to Release 5.6

#18 - 02/19/2019 05:03 PM - Andreas Miiller

- Target version changed from Release 5.6 to Reviewed Next Major Release
